org.apache.jasper.compiler

## Class JDTCompiler

- java.lang.Object
- - org.apache.jasper.compiler.Compiler
  - - org.apache.jasper.compiler.JDTCompiler

    public class JDTCompiler
    extends Compiler

JDT class compiler. This compiler will load source dependencies from the context classloader, reducing dramatically disk access during the compilation process.

Author:
  Cocoon2, Remy Maucherat

### Field Summary

### Fields inherited from class org.apache.jasper.compiler.Compiler

`ctxt, errDispatcher, jsw, options, pageInfo, pageNodes, tfp`

### Constructor Summary

Constructors
Constructor and Description
`JDTCompiler()`

### Method Summary

Methods
`protected void` `generateClass(String[] smap)` Compile the servlet from .java file to .class file

### Methods inherited from class org.apache.jasper.compiler.Compiler

`compile, compile, compile, generateJava, getCompilationContext, getErrorDispatcher, getPageInfo, getPageNodes, init, isOutDated, isOutDated, removeGeneratedClassFiles, removeGeneratedFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDTCompiler

    public JDTCompiler()

### Method Detail

#### generateClass

    protected void generateClass(String[] smap)
                          throws FileNotFoundException,
                                 JasperException,
                                 Exception

Compile the servlet from .java file to .class file

Specified by:
  `generateClass` in class `Compiler`
Throws:
  `FileNotFoundException`
  `JasperException`
  `Exception`